problema migración version php 5.3

Si utilizas la version 2.2 este es tu foro.
La mas estable hasta el momento.

Y si estas iniciandote, la version mas popular y donde mas soporte obtendras.

problema migración version php 5.3

Notapor 2 Estilos » Lun Jul 29, 2013 4:24 pm

Hola a tod@s!!!
Tengo un problema y no encuentro solución por ningún lado.
Si instalo mi oscommerce en un servidor con una versión de php 5.3 me sale un error:
(Si lo dejo en una versión anterior de php, no tengo problema, pero me gustaría poder actualizarla)
Error!

Unable to determine the page link!

Function used:

tep_href_link('', '', 'NONSSL')


Estoy mirando la documentación que hay en google y en el foro, pero, o bien es demasiado compleja o no me sirven las soluciones aportadas a mi caso concreto.

Alguien ha tenido este problema o similar?

Muchas gracias de antemano.
2 Estilos
Moderador Global
 
Mensajes: 460
Registrado: Lun Feb 28, 2011 1:57 pm

Anuncio

web_empresa

Re: problema migración version php 5.3

Notapor figue » Jue Ago 01, 2013 4:17 pm

Esta es la mejor solucion que he encontrado, nada de actualizar funciones para corregir errores por toda la tienda.
Es facil de instalar y la da un usuario del foro, si os sirve los agradecimientos son para él no para mi, solo me limito a poner el enlace.
http://www.nexohosting.es/blog/2011/12/ ... tibilidad/

saludos :coffe:
figue
Moderador Global
 
Mensajes: 873
Registrado: Mié Feb 09, 2011 8:48 pm
Ubicación: Córdoba

Re: problema migración version php 5.3

Notapor 2 Estilos » Jue Ago 01, 2013 4:28 pm

Voy a mirar lo que enlazas.
Gracias a ti por la ayuda. Estuve buscando como un loco y no dí encontrado nada, sin duda he buscado mal :( .
Gracias al autor de la solución por la misma. (Supongo que es Nexovirtual, gracias).
2 Estilos
Moderador Global
 
Mensajes: 460
Registrado: Lun Feb 28, 2011 1:57 pm

Re: problema migración version php 5.3

Notapor alexiscruz007 » Lun Nov 07, 2016 8:11 pm

Tengo el mismo problema, pero en la version 5.4 y en el admin
alexiscruz007
Novato
 
Mensajes: 2
Registrado: Mié Feb 03, 2016 11:00 pm

Re: problema migración version php 5.3

Notapor Denox » Mié May 17, 2017 6:00 pm

alexiscruz007 escribió:Tengo el mismo problema, pero en la version 5.4 y en el admin


Te toca actualizar código... Hacer retrocompatibilidad de versiones finalmente no es seguro. Lo mejor es que actualices las funciones obsoletas y deprecadas de tu tienda online para que funcionen en la versión de PHP 5.4 (que ya esta también anticuada). Te recomendamos pasar a 5.6 por seguridad si es un comercio en producción.

Un saludo,
Denox
Estoy en ello....
 
Mensajes: 53
Registrado: Mar Feb 15, 2011 11:53 pm
Ubicación: Madrid, Cádiz


  • Temas Similares
    Respuestas
    Vistas
    Autor

Volver a Oscommerce 2.x

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 0 invitados

cron
Este sitio utiliza cookies para mejorar la experiencia del usuario.Cookies Al continuar navegando aceptas el uso de cookies.
Cookies